OpenGL-2.8.0.0: A binding for the OpenGL graphics system

Safe Haskell | None

Graphics.Rendering.OpenGL.GL.FramebufferObjects.RenderbufferObjects

Description

# Documentation

data RenderbufferObject Source

Constructors

RenderbufferObject GLuint |

Instances

ObjectName RenderbufferObject |

noRenderbufferObject :: RenderbufferObject Source

data RenderbufferTarget Source

Constructors

Renderbuffer |

Instances

PixellikeObjectTarget RenderbufferTarget |

marshalRenderbufferTarget :: RenderbufferTarget -> GLenum Source

data RenderbufferSize Source

Constructors

RenderbufferSize !GLsizei !GLsizei |

newtype Samples Source

Constructors

Samples GLsizei |

bindRenderbuffer :: RenderbufferTarget -> StateVar RenderbufferObject Source

renderbufferStorage :: RenderbufferTarget -> PixelInternalFormat -> RenderbufferSize -> IO ()Source

renderbufferStorageMultiSample :: RenderbufferTarget -> Samples -> PixelInternalFormat -> RenderbufferSize -> IO ()Source

getRBParameteriv :: RenderbufferTarget -> (GLint -> a) -> GLenum -> IO aSource